{
    attributes = (
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FHAB_KEY; }; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FVOC_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_CODE; }; 
            name = fvocCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = MPAR_ABREVIATION; 
            externalType = VARCHAR2; 
            name = mparAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MPAR_CODE; 
            externalType = VARCHAR2; 
            name = mparCode; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = MPAR_KEY; 
            externalType = NUMBER; 
            name = mparKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MPAR_LIBELLE; 
            externalType = VARCHAR2; 
            name = mparLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MPAR_VALIDITE; 
            externalType = VARCHAR2; 
            name = mparValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (mparKey); 
    className = EOGenericRecord; 
    classProperties = (
        mparKey, 
        fspnKey, 
        mparCode, 
        mparLibelle, 
        mparAbreviation, 
        mparValidite, 
        toScolFormationSpecialisation, 
        fvocCode, 
        toScolFormationVocation
    ); 
    externalName = SCOL_MAQUETTE_PARCOURS; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteParcours; 
    primaryKeyAttributes = (mparKey); 
    relationships = (
        {
            destination = ScolFormationSpecialisation; 
            internalInfo = {_nameInObjectStore = scolFormationSpecialisation; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = toScolFormationSpecialisation; 
        }, 
        {
            destination = ScolFormationVocation; 
            internalInfo = {_nameInObjectStore = scolFormationVoie; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fvocCode; sourceAttribute = fvocCode; }); 
            name = toScolFormationVocation; 
        }
    ); 
}
